<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.MyWalletActivity">

    <RelativeLayout
        android:id="@+id/head"
        android:layout_width="match_parent"
        android:layout_height="303dp"
        android:layout_alignParentTop="true"
        android:background="@drawable/bg_mine">

        <com.android.chmo.ui.view.TopBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:background="#00000000"
            app:style="LIGHT_CONTENT" />

        <ImageView
            android:layout_width="216dp"
            android:layout_height="192dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="47dp"
            android:src="@mipmap/img_wodeshouyi" />

        <TextView
            android:id="@+id/tv_coin"
            android:layout_width="wrap_content"
            android:layout_height="75dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="104dp"
            android:text="0"
            android:textColor="#ffffffff"
            android:textSize="54sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="20dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="84dp"
            android:text="我的M币"
            android:textColor="#ffffffff"
            android:textSize="14sp" />
    </RelativeLayout>

    <Button
        android:id="@+id/btn_recharge"
        android:layout_width="200dp"
        android:layout_height="46dp"
        android:layout_below="@id/head"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="-39dp"
        android:background="@drawable/bg_btn_recharge"
        android:elevation="12dp"
        android:text="充值"
        android:textColor="#FF4095"
        android:textSize="16sp"
        android:textStyle="bold" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/head"
        android:layout_marginTop="-16dp"
        android:background="@drawable/bg_wallet_list"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="left|center"
            android:paddingLeft="20dp"
            android:paddingTop="40dp"
            android:paddingRight="20dp"
            android:paddingBottom="10dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="28dp"
                android:layout_weight="1"
                android:text="余额明细"
                android:textColor="#ff1a1a1a"
                android:textSize="20sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/iv_calendar"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@mipmap/icon_riqi" />
        </LinearLayout>

        <com.scwang.smartrefresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <android.support.v7.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </com.scwang.smartrefresh.layout.SmartRefreshLayout>
    </LinearLayout>
</RelativeLayout>